﻿using Newtonsoft.Json.Linq;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace FeatureGuideCharp
{
    class _03_28_udpate_sender_info_REST
    {
        private String API_KEY = "your_api_key";
        private String API_URL = "https://sandbox.esignlive.com/api";
        public void Execute() {
            UnlockSender(API_KEY, API_URL, "0t1asPhjCq0W");
        }


        public void UnlockSender(string api_key, string api_url, string senderId) {
            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Add("Authorization", "Basic " + api_key);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json");

            var senderResponse = myClient.GetAsync(new Uri(api_url + "/account/senders/" + senderId)).Result;

            if (!senderResponse.IsSuccessStatusCode) {
                throw new Exception(senderResponse.Content.ReadAsStringAsync().Result);
            }

            JObject senderJSON = JObject.Parse(senderResponse.Content.ReadAsStringAsync().Result);
            senderJSON["status"] = "ACTIVE";

            StringContent jsonContent = new StringContent(senderJSON.ToString(), Encoding.UTF8, "application/json");

            var response = myClient.PostAsync(new Uri(api_url + "/account/senders/" + senderId), jsonContent).Result;
            if (!response.IsSuccessStatusCode)
            {
                throw new Exception(response.Content.ReadAsStringAsync().Result);
            }
        }

      

    }
}
